
Redmine - Feature #12787

Remove "Warning - iconv will be deprecated in the future, use String#encode instead."

2013-01-09 11:16 - Terence Mill

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Code cleanup/refactoring Estimated time: 0.00 hour

Target version: 2.3.0   

Resolution: Fixed   

Description

/.rvm/gems/ruby-1.9.3-p327/gems/activesupport-3.2.10/lib/active_support/dependencies.rb:251:in `block in require': iconv will be

deprecated in the future, use String#encode instead.

Associated revisions

Revision 11176 - 2013-01-12 21:36 - Jean-Philippe Lang

Removed useless require 'iconv' (#12787).

Revision 11177 - 2013-01-12 22:27 - Jean-Philippe Lang

Don't use Iconv with ruby1.9 (#12787).

Revision 11178 - 2013-01-12 23:34 - Jean-Philippe Lang

Encoding::InvalidByteSequenceError may be raised even if encoding is valid (#12787).

Revision 11179 - 2013-01-13 01:43 - Toshi MARUYAMA

fix test failures (#12787)

Revision 11181 - 2013-01-13 02:50 - Toshi MARUYAMA

use "UTF-16LE" instead of "UTF-16" on Ruby 1.9.2 due to test failure (#12787)

Revision 11440 - 2013-02-18 22:39 - Jean-Philippe Lang

Don't use iconv with ruby1.9 (#12787).

History

#1 - 2013-01-13 10:48 - Jean-Philippe Lang

- Subject changed from Remove Warning - iconv will be deprecated in the future, use String#encode instead. to Remove "Warning - iconv will be

deprecated in the future, use String#encode instead."

- Status changed from New to Closed

- Target version set to 2.3.0

- Resolution set to Fixed

Warning removed, thanks Toshi for the last fix.

#2 - 2013-02-03 22:22 - Etienne Massip

- Status changed from Closed to Reopened

Still present at least in source:/trunk/lib/tasks/migrate_from_mantis.rake@11324#L21.

#3 - 2013-02-07 10:02 - Pavel Potcheptsov

I see it in Unicorn log:

/usr/local/rvm/gems/ruby-1.9.3-p327/gems/activesupport-3.2.11/lib/active_support/dependencies.rb:251:in `block

 in require': iconv will be deprecated in the future, use String#encode instead.
https://www.redmine.org/projects/redmine/repository/svn/revisions/11324/entry/trunk/lib/tasks/migrate_from_mantis.rake#L21


Environment:

  Redmine version                          2.2.2.stable.11244

  Ruby version                             1.9.3 (i686-linux)

  Rails version                            3.2.11

  Environment                              production

  Database adapter                         Mysql2

#4 - 2013-02-07 10:11 - Etienne Massip

Pavel Potcheptsov wrote:

I see it in Unicorn log:

[...]

[...]

 Because it's not fixed with 2.2.2.stable, it will be for future version 2.3.0.

#5 - 2013-02-07 11:14 - Daniel Felix

- Status changed from Reopened to Closed

I close it again. Etienne is right.

Just ignore it until upgrade. :-)

#6 - 2013-02-18 18:59 - Etienne Massip

- Status changed from Closed to New

Should not have been closed, #note-2 is still true (and applicable to Trac importer).

#7 - 2013-02-18 22:39 - Jean-Philippe Lang

- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang

The rake tasks should be fixed in r11440.
